import 'package:flutter/material.dart';
import 'package:asalert/asalert.dart';

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  final _scaffoldKey = GlobalKey<ScaffoldState>();

  @override
  Widget build(BuildContext context) {

    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            FlatButton(
              highlightColor: Colors.transparent,
              child: Text(
                "Click me",
              ),
              onPressed: () {
                showAlertWithOkayAction(context, "ASAlert", "Hey.... Welcome ", closeDialogue, btnTitle: "Dismiss");
              },
            ),
            FlatButton(
              highlightColor: Colors.transparent,
              child: Text(
                "Logout",
              ),
              onPressed: () {
                showOkayAndCloseAlertWithOkayAction(context, onPressedOk, "Logout", "Are you sure you want to logout the app?");
              },
            )
          ],
        ),
      ),
    );
  }

  onPressedOk() {
    closeDialogue();
    showAlertWithOkayAction(context, "Alert", "You have successfully logged out.", closeDialogue);
  }

  closeDialogue() {
    Navigator.of(context, rootNavigator: true).pop('dialog');
  }
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: MyHomePage(title: 'Flutter Demo Home Page'),
    );
  }
}

void main() {
  runApp(MyApp());
}

